Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.v3.session.impl
Class EhboxServiceImplementationFactory

    java.lang.Object
      be.ehealth.technicalconnector.session.ImplementationClassFactory
          be.ehealth.businessconnector.ehbox.v3.session.impl.EhboxServiceImplementationFactory

    public class EhboxServiceImplementationFactory

extends ImplementationClassFactory

factory for the EhealthBoxServiceV3. Implements : `ImplementationClassFactory`

Constructor Summary
`EhboxServiceImplementationFactory()`

Method Summary
`
`<T> T`
` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, String... additionalParameters)`

Methods inherited from class be.ehealth.technicalconnector.session.ImplementationClassFactory
`createImplementationClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EhboxServiceImplementationFactory

    public EhboxServiceImplementationFactory()

Method Detail

### createImplementationClass

    public <T> T createImplementationClass(Class<T> clazz,
                                           SessionValidator sessionValidator,
                                           EhealthReplyValidator replyValidator,
                                           String... additionalParameters)
                                throws TechnicalConnectorException,
                                       ConnectorException

  Overrides:
    `createImplementationClass` in class `ImplementationClassFactory`
  Throws:
    `TechnicalConnectorException`
    `ConnectorException`
  See Also:
    `ImplementationClassFactory.createImplementationClass(java.lang.Class, be.ehealth.technicalconnector.validator.SessionValidator, be.ehealth.technicalconnector.validator.EhealthReplyValidator, java.lang.String[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.